/*
 * This file is generated by jOOQ.
 */
package de.ship.pia.emailcollector.jooq;


import de.ship.pia.emailcollector.jooq.tables.TPerson;
import de.ship.pia.emailcollector.jooq.tables.records.TPersonRecord;

import org.jooq.TableField;
import org.jooq.UniqueKey;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling foreign key relationships and constraints of tables in
 * public.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<TPersonRecord> T_PERSON_PKEY = Internal.createUniqueKey(TPerson.T_PERSON, DSL.name("t_person_pkey"), new TableField[] { TPerson.T_PERSON.PK }, true);
    public static final UniqueKey<TPersonRecord> T_PERSON_PSEUDO_ID_KEY = Internal.createUniqueKey(TPerson.T_PERSON, DSL.name("t_person_pseudo_id_key"), new TableField[] { TPerson.T_PERSON.PSEUDO_ID }, true);
}
